### Function

# Gimp context_get_dynamics_name

since: 2.8

#### Declaration [src]

    gchar*
    gimp_context_get_dynamics_name (
      void
    )

#### Description [src]

Get the currently active paint dynamics.

Returns the name of the currently active paint dynamics. If enabled, all paint operations and stroke operations use this paint dynamics to control the application of paint to the image. If disabled, the dynamics will be ignored during paint actions. See `gimp_context_are_dynamics_enabled()` to enquire whether dynamics are used or ignored.

Available since: 2.8

#### Return value

Type: `gchar*`

The name of the active paint dynamics. The returned value must be freed with g_free().

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.